API Reference
Update follow up settings
Requires crm:automation:write. Changing mode to auto can send future eligible follow-ups, including existing ones. Quiet-hour start and end must differ; uses the business timezone. Requires explicit authorization to change automation.
PATCH
/
crm
/
follow-up-settings
Update follow up settings
curl --request PATCH \
--url https://platform-api.visitoai.com/m2m/v1/crm/follow-up-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"followUpInstructions": "<string>"
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/crm/follow-up-settings"
payload = { "followUpInstructions": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({followUpInstructions: '<string>'})
};
fetch('https://platform-api.visitoai.com/m2m/v1/crm/follow-up-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"followUpMode": "off",
"followUpLevel": "light",
"followUpInstructions": "<string>",
"quietHours": {
"start": "<string>",
"end": "<string>"
},
"timezone": "<string>",
"salesAvailable": true,
"salesPublished": true
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Autorizaciones
Server-side tenant-scoped credential created from Build > API Keys.
Cuerpo
application/json
Respuesta
Success
Opciones disponibles:
off, draft, auto Opciones disponibles:
light, balanced, proactive Maximum string length:
2000Show child attributes
Show child attributes
Maximum string length:
100⌘I
Update follow up settings
